Skills
Get a skill by skillId
Returns one skill with every version-defining field (SkillDetail). Requires permission skills:read.
GET
/
api
/
v3
/
skills
/
{skillId}
Get a skill by skillId
curl --request GET \
--url https://api.forge.gloo.com/api/v3/skills/{skillId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.gloo.com/api/v3/skills/{skillId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.gloo.com/api/v3/skills/{skillId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.forge.gloo.com/api/v3/skills/{skillId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.gloo.com/api/v3/skills/{skillId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.forge.gloo.com/api/v3/skills/{skillId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.forge.gloo.com/api/v3/skills/{skillId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"skillId": "<string>",
"name": "<string>",
"description": "<string>",
"version": "<string>",
"status": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"emoji": "<string>",
"skillType": "<string>",
"source": {
"type": "<string>",
"templateId": "<string>",
"repository": {
"name": "<string>",
"url": "<string>",
"version": "<string>",
"path": "<string>",
"license": "<string>"
},
"license": "<string>",
"importedAt": 123,
"clonedFrom": {
"skillId": "<string>",
"importedAt": 123
}
},
"quality": {
"reviewStatus": "<string>",
"reviewedBy": "<string>",
"reviewedAt": 123,
"score": 123,
"notes": "<string>",
"findings": [
"<string>"
],
"suggestions": [
"<string>"
],
"verdict": "<string>"
},
"agentCount": 1,
"assignedAgents": [
{
"agentId": "<string>",
"name": "<string>"
}
],
"createdAt": 123,
"updatedAt": 123,
"kind": "skill",
"enabled": true,
"activeVersionId": "<string>",
"canaryVersionId": "<string>",
"content": "<string>",
"files": {},
"fileRoles": {},
"allowedTools": [
"<string>"
],
"toolSets": [
"<string>"
],
"defaultActivationMode": "always",
"implicitActivation": true,
"maxInstructionTokens": 123,
"priority": 123,
"tierFloor": "<string>",
"rubric": {
"rubricVersion": "<string>",
"domain": "<string>",
"criteria": [
{
"id": "<string>",
"name": "<string>",
"weight": 123,
"description": "<string>",
"scoringGuidance": "<string>",
"examplesForScore": [
{
"score": 123,
"example": "<string>",
"rationale": "<string>"
}
]
}
],
"aggregationFormula": "<string>",
"verdictThresholds": {
"pass": 123,
"needsWork": 123
},
"calibrationExamples": [
{
"subjectHash": "<string>",
"expectedVerdict": {
"aggregateScore": 123,
"verdictLabel": "pass",
"perCriterion": {}
},
"operatorRationale": "<string>"
}
]
},
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
],
"requiresCapabilities": [
"<string>"
],
"slashCommand": {
"trigger": "<string>",
"description": "<string>",
"argHint": "<string>",
"riskLevel": "<string>"
},
"determinism": {
"level": "L1",
"hasScripts": true,
"callsProcedures": true,
"procedureToolRefs": [
"<string>"
]
}
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "resource_missing",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}Authorizations
BearerAuthPlatformApiKeyPersonalKey
Response
Skill detail
⌘I
Get a skill by skillId
curl --request GET \
--url https://api.forge.gloo.com/api/v3/skills/{skillId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.gloo.com/api/v3/skills/{skillId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.gloo.com/api/v3/skills/{skillId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.forge.gloo.com/api/v3/skills/{skillId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.gloo.com/api/v3/skills/{skillId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.forge.gloo.com/api/v3/skills/{skillId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.forge.gloo.com/api/v3/skills/{skillId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"skillId": "<string>",
"name": "<string>",
"description": "<string>",
"version": "<string>",
"status": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"emoji": "<string>",
"skillType": "<string>",
"source": {
"type": "<string>",
"templateId": "<string>",
"repository": {
"name": "<string>",
"url": "<string>",
"version": "<string>",
"path": "<string>",
"license": "<string>"
},
"license": "<string>",
"importedAt": 123,
"clonedFrom": {
"skillId": "<string>",
"importedAt": 123
}
},
"quality": {
"reviewStatus": "<string>",
"reviewedBy": "<string>",
"reviewedAt": 123,
"score": 123,
"notes": "<string>",
"findings": [
"<string>"
],
"suggestions": [
"<string>"
],
"verdict": "<string>"
},
"agentCount": 1,
"assignedAgents": [
{
"agentId": "<string>",
"name": "<string>"
}
],
"createdAt": 123,
"updatedAt": 123,
"kind": "skill",
"enabled": true,
"activeVersionId": "<string>",
"canaryVersionId": "<string>",
"content": "<string>",
"files": {},
"fileRoles": {},
"allowedTools": [
"<string>"
],
"toolSets": [
"<string>"
],
"defaultActivationMode": "always",
"implicitActivation": true,
"maxInstructionTokens": 123,
"priority": 123,
"tierFloor": "<string>",
"rubric": {
"rubricVersion": "<string>",
"domain": "<string>",
"criteria": [
{
"id": "<string>",
"name": "<string>",
"weight": 123,
"description": "<string>",
"scoringGuidance": "<string>",
"examplesForScore": [
{
"score": 123,
"example": "<string>",
"rationale": "<string>"
}
]
}
],
"aggregationFormula": "<string>",
"verdictThresholds": {
"pass": 123,
"needsWork": 123
},
"calibrationExamples": [
{
"subjectHash": "<string>",
"expectedVerdict": {
"aggregateScore": 123,
"verdictLabel": "pass",
"perCriterion": {}
},
"operatorRationale": "<string>"
}
]
},
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
],
"requiresCapabilities": [
"<string>"
],
"slashCommand": {
"trigger": "<string>",
"description": "<string>",
"argHint": "<string>",
"riskLevel": "<string>"
},
"determinism": {
"level": "L1",
"hasScripts": true,
"callsProcedures": true,
"procedureToolRefs": [
"<string>"
]
}
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "forbidden",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "resource_missing",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"docUrl": "<string>",
"reason": "requester_unavailable",
"requiredPermission": "<string>",
"personRequired": true,
"decisionId": "<string>",
"capHeadroom": {
"remainingCents": 123,
"capCents": 123,
"consumedCents": 123,
"estimateCents": 123
},
"details": [
{
"path": "<string>",
"param": "<string>",
"message": "<string>",
"code": "required"
}
]
},
"meta": {
"requestId": "<string>",
"hasMore": true,
"nextCursor": "<string>",
"asOf": 123
}
}
